> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable or disable an agent notification channel



## OpenAPI

````yaml /api-reference/v2/openapi.json patch /v2/notifications/agent-channels/{channel}
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/notifications/agent-channels/{channel}:
    patch:
      tags:
        - Notifications
      summary: Enable or disable an agent notification channel
      operationId: NotificationsAgentChannelsController_updateAgentChannel
      parameters:
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_
          required: true
          schema:
            type: string
        - name: channel
          required: true
          in: path
          schema:
            enum:
              - slack
              - telegram
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAgentChannelInput'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentChannelsResponseDto'
components:
  schemas:
    UpdateAgentChannelInput:
      type: object
      properties:
        enabled:
          type: boolean
          example: true
      required:
        - enabled
    AgentChannelsResponseDto:
      type: object
      properties:
        status:
          enum:
            - success
            - error
          type: string
          example: success
        data:
          $ref: '#/components/schemas/AgentChannelsOutputDto'
      required:
        - status
        - data
    AgentChannelsOutputDto:
      type: object
      properties:
        slack:
          type: boolean
          example: true
        telegram:
          type: boolean
          example: true
      required:
        - slack
        - telegram

````